Bug 1254087 - Component field got truncated when component string is very long
Component field got truncated when component string is very long
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
Depends On:
  Show dependency treegraph
Reported: 2015-08-17 03:15 EDT by Rony Gong
Modified: 2015-12-15 21:13 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-15 21:13:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen capture in 4.4.9039.1 (20.33 KB, image/png)
2015-08-17 03:15 EDT, Rony Gong
no flags Details

  None (edit)
Description Rony Gong 2015-08-17 03:15:59 EDT
Created attachment 1063646 [details]
screen capture in 4.4.9039.1

Description of problem:
Component field got truncated when component string is very long

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a rhel7 bug, then select component 'Red_Hat_Enterprise_Linux-Release_Notes-7-zh-TW', save

Actual results:
The component field value got truncated

Expected results:
not truncated, It is better show in 1 lines, but in 2 lines also acceptable.

Additional info:
check attachment
Comment 1 Jeff Fearn 2015-10-15 03:19:23 EDT
Currently this wraps, but if you have a component with a name that fills up the widget then end of the widget is under the arrow widget making it hard to read.

This css should fix it:

.selectize-input .item {
  max-width: 24em;
Comment 2 Rony Gong 2015-10-28 03:49:17 EDT
Tested on 
QA environment(bzperfweb01.app.qa) with version(4.4.10043-2, DB: psql)
Result: Pass
Comment 3 Matt Tyson 2015-12-15 21:13:48 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.